Summary: Stop Bill from loading his OS into all the computers.
Name: xbill
Version: 2.0
Release: 7
Copyright: MIT
Group: Amusements/Games
Source: ftp://ftp.x.org/contrib/games/xbill-2.0.tgz
Patch0: xbill-2.0-rh.patch
BuildRoot: /var/tmp/xbill-root

%description
The xbill game tests your reflexes as you seek out and destroy all
forms of Bill, establish a new operating system throughout the
universe, and boldly go where no geek has gone before.  Xbill has
become an increasingly attractive option as the Linux Age progresses,
and it is very popular at Red Hat.

%prep
%setup -q
%patch -p1 -b .rh

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install install.man

( cd $RPM_BUILD_ROOT
  mkdir -p ./usr/lib/xbill
  for i in bitmaps pixmaps
  do
    mv ./var/lib/games/xbill/$i ./usr/lib/xbill/$i
    ln -s ../../../../usr/lib/xbill/$i ./var/lib/games/xbill/$i
  done

  mkdir -p ./etc/X11/applnk/Games
  cat > ./etc/X11/applnk/Games/xbill.desktop <<EOF
[Desktop Entry]
Name=xbill
Type=Application
Description=Save the world
Exec=xbill
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(2755,root,games)	/usr/X11R6/bin/xbill
%attr(0775,root,games)	%dir /var/lib/games/xbill
%attr(0664,root,games)  %config(noreplace) /var/lib/games/xbill/scores
/var/lib/games/xbill/bitmaps
/var/lib/games/xbill/pixmaps
/usr/lib/xbill
/etc/X11/applnk/Games/xbill.desktop

%changelog
* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- rebuild with config(noreplace) score file, new description
- replace wmconfig with desktop file

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
